Upstream information

CVE-2023-39928 at MITRE

Description

A use-after-free vulnerability exists in the MediaRecorder API of Webkit WebKitGTK 2.40.5. A specially crafted web page can abuse this vulnerability to cause memory corruption and potentially arbitrary code execution. A user would need to to visit a malicious webpage to trigger this vulnerability.

SUSE information

Overall state of this security issue: Resolved

This issue is currently rated as having important severity.

CVSS v3 Scores
  National Vulnerability Database SUSE
Base Score 8.8 8.8
Vector CVSS:3.1/AV:N/AC:L/PR:N/UI:R/S:U/C:H/I:H/A:H CVSS:3.1/AV:N/AC:L/PR:N/UI:R/S:U/C:H/I:H/A:H
Attack Vector Network Network
Attack Complexity Low Low
Privileges Required None None
User Interaction Required Required
Scope Unchanged Unchanged
Confidentiality Impact High High
Integrity Impact High High
Availability Impact High High
CVSSv3 Version 3.1 3.1
SUSE Bugzilla entries: 1215868 [RESOLVED / FIXED], 1217568 [NEW]

SUSE Security Advisories:

List of released packages

Product(s) Fixed package version(s) References
SUSE CaaS Platform 4.0
  • libjavascriptcoregtk-4_0-18 >= 2.42.4-150000.3.163.2
  • libwebkit2gtk-4_0-37 >= 2.42.4-150000.3.163.2
  • libwebkit2gtk3-lang >= 2.42.4-150000.3.163.2
  • typelib-1_0-JavaScriptCore-4_0 >= 2.42.4-150000.3.163.2
  • typelib-1_0-WebKit2-4_0 >= 2.42.4-150000.3.163.2
  • typelib-1_0-WebKit2WebExtension-4_0 >= 2.42.4-150000.3.163.2
  • webkit2gtk-4_0-injected-bundles >= 2.42.4-150000.3.163.2
  • webkit2gtk3-devel >= 2.42.4-150000.3.163.2
Patchnames:
SUSE-SUSE-CAASP-4.0-2023-4211
SUSE-SUSE-CAASP-4.0-2024-2
SUSE Enterprise Storage 7.1
  • libjavascriptcoregtk-4_0-18 >= 2.42.4-150200.97.3
  • libwebkit2gtk-4_0-37 >= 2.42.4-150200.97.3
  • libwebkit2gtk3-lang >= 2.42.4-150200.97.3
  • typelib-1_0-JavaScriptCore-4_0 >= 2.42.4-150200.97.3
  • typelib-1_0-WebKit2-4_0 >= 2.42.4-150200.97.3
  • typelib-1_0-WebKit2WebExtension-4_0 >= 2.42.4-150200.97.3
  • webkit2gtk-4_0-injected-bundles >= 2.42.4-150200.97.3
  • webkit2gtk3-devel >= 2.42.4-150200.97.3
Patchnames:
SUSE-Storage-7.1-2023-4339
SUSE-Storage-7.1-2024-3
SUSE Enterprise Storage 7
  • libjavascriptcoregtk-4_0-18 >= 2.42.1-150200.87.4
  • libwebkit2gtk-4_0-37 >= 2.42.1-150200.87.4
  • libwebkit2gtk3-lang >= 2.42.1-150200.87.4
  • typelib-1_0-JavaScriptCore-4_0 >= 2.42.1-150200.87.4
  • typelib-1_0-WebKit2-4_0 >= 2.42.1-150200.87.4
  • typelib-1_0-WebKit2WebExtension-4_0 >= 2.42.1-150200.87.4
  • webkit2gtk-4_0-injected-bundles >= 2.42.1-150200.87.4
  • webkit2gtk3-devel >= 2.42.1-150200.87.4
Patchnames:
SUSE-Storage-7-2023-4339
SUSE Linux Enterprise Desktop 15 SP4
SUSE Linux Enterprise High Performance Computing 15 SP4
SUSE Linux Enterprise Server 15 SP4
  • WebKitGTK-4.0-lang >= 2.42.4-150400.4.70.3
  • WebKitGTK-4.1-lang >= 2.42.4-150400.4.70.3
  • WebKitGTK-6.0-lang >= 2.42.1-150400.4.57.3
  • libjavascriptcoregtk-4_0-18 >= 2.42.4-150400.4.70.3
  • libjavascriptcoregtk-4_1-0 >= 2.42.4-150400.4.70.3
  • libjavascriptcoregtk-6_0-1 >= 2.42.1-150400.4.57.3
  • libwebkit2gtk-4_0-37 >= 2.42.4-150400.4.70.3
  • libwebkit2gtk-4_1-0 >= 2.42.4-150400.4.70.3
  • libwebkitgtk-6_0-4 >= 2.42.1-150400.4.57.3
  • typelib-1_0-JavaScriptCore-4_0 >= 2.42.4-150400.4.70.3
  • typelib-1_0-JavaScriptCore-4_1 >= 2.42.4-150400.4.70.3
  • typelib-1_0-WebKit2-4_0 >= 2.42.4-150400.4.70.3
  • typelib-1_0-WebKit2-4_1 >= 2.42.4-150400.4.70.3
  • typelib-1_0-WebKit2WebExtension-4_0 >= 2.42.4-150400.4.70.3
  • typelib-1_0-WebKit2WebExtension-4_1 >= 2.42.4-150400.4.70.3
  • webkit2gtk-4_0-injected-bundles >= 2.42.4-150400.4.70.3
  • webkit2gtk-4_1-injected-bundles >= 2.42.4-150400.4.70.3
  • webkit2gtk3-devel >= 2.42.4-150400.4.70.3
  • webkit2gtk3-soup2-devel >= 2.42.4-150400.4.70.3
  • webkitgtk-6_0-injected-bundles >= 2.42.1-150400.4.57.3
Patchnames:
SUSE-SLE-Module-Basesystem-15-SP4-2023-4294
SUSE-SLE-Module-Basesystem-15-SP4-2024-4
SUSE-SLE-Module-Desktop-Applications-15-SP4-2023-4294
SUSE-SLE-Module-Desktop-Applications-15-SP4-2024-4
SUSE-SLE-Module-Development-Tools-15-SP4-2023-4294
SUSE Linux Enterprise Desktop 15 SP5
SUSE Linux Enterprise High Performance Computing 15 SP5
SUSE Linux Enterprise Server 15 SP5
SUSE Linux Enterprise Server for SAP Applications 15 SP5
  • WebKitGTK-4.0-lang >= 2.42.4-150400.4.70.3
  • WebKitGTK-4.1-lang >= 2.42.4-150400.4.70.3
  • WebKitGTK-6.0-lang >= 2.42.4-150400.4.70.3
  • libjavascriptcoregtk-4_0-18 >= 2.42.4-150400.4.70.3
  • libjavascriptcoregtk-4_1-0 >= 2.42.4-150400.4.70.3
  • libjavascriptcoregtk-6_0-1 >= 2.42.4-150400.4.70.3
  • libwebkit2gtk-4_0-37 >= 2.42.4-150400.4.70.3
  • libwebkit2gtk-4_1-0 >= 2.42.4-150400.4.70.3
  • libwebkitgtk-6_0-4 >= 2.42.4-150400.4.70.3
  • typelib-1_0-JavaScriptCore-4_0 >= 2.42.4-150400.4.70.3
  • typelib-1_0-JavaScriptCore-4_1 >= 2.42.4-150400.4.70.3
  • typelib-1_0-WebKit2-4_0 >= 2.42.4-150400.4.70.3
  • typelib-1_0-WebKit2-4_1 >= 2.42.4-150400.4.70.3
  • typelib-1_0-WebKit2WebExtension-4_0 >= 2.42.4-150400.4.70.3
  • typelib-1_0-WebKit2WebExtension-4_1 >= 2.42.4-150400.4.70.3
  • webkit2gtk-4_0-injected-bundles >= 2.42.4-150400.4.70.3
  • webkit2gtk-4_1-injected-bundles >= 2.42.4-150400.4.70.3
  • webkit2gtk3-devel >= 2.42.4-150400.4.70.3
  • webkit2gtk3-soup2-devel >= 2.42.4-150400.4.70.3
  • webkitgtk-6_0-injected-bundles >= 2.42.4-150400.4.70.3
Patchnames:
SUSE-SLE-Module-Basesystem-15-SP5-2023-4294
SUSE-SLE-Module-Basesystem-15-SP5-2024-4
SUSE-SLE-Module-Desktop-Applications-15-SP5-2023-4294
SUSE-SLE-Module-Desktop-Applications-15-SP5-2024-4
SUSE-SLE-Module-Development-Tools-15-SP5-2023-4294
SUSE-SLE-Module-Development-Tools-15-SP5-2024-4
SUSE Linux Enterprise High Performance Computing 15 SP1-LTSS
  • libjavascriptcoregtk-4_0-18 >= 2.42.4-150000.3.163.2
  • libwebkit2gtk-4_0-37 >= 2.42.4-150000.3.163.2
  • libwebkit2gtk3-lang >= 2.42.4-150000.3.163.2
  • typelib-1_0-JavaScriptCore-4_0 >= 2.42.4-150000.3.163.2
  • typelib-1_0-WebKit2-4_0 >= 2.42.4-150000.3.163.2
  • typelib-1_0-WebKit2WebExtension-4_0 >= 2.42.4-150000.3.163.2
  • webkit2gtk-4_0-injected-bundles >= 2.42.4-150000.3.163.2
  • webkit2gtk3-devel >= 2.42.4-150000.3.163.2
Patchnames:
SUSE-SLE-Product-HPC-15-SP1-LTSS-2023-4211
SUSE-SLE-Product-HPC-15-SP1-LTSS-2024-2
SUSE Linux Enterprise High Performance Computing 15 SP2-LTSS
  • libjavascriptcoregtk-4_0-18 >= 2.42.4-150200.97.3
  • libwebkit2gtk-4_0-37 >= 2.42.4-150200.97.3
  • libwebkit2gtk3-lang >= 2.42.4-150200.97.3
  • typelib-1_0-JavaScriptCore-4_0 >= 2.42.4-150200.97.3
  • typelib-1_0-WebKit2-4_0 >= 2.42.4-150200.97.3
  • typelib-1_0-WebKit2WebExtension-4_0 >= 2.42.4-150200.97.3
  • webkit2gtk-4_0-injected-bundles >= 2.42.4-150200.97.3
  • webkit2gtk3-devel >= 2.42.4-150200.97.3
Patchnames:
SUSE-SLE-Product-HPC-15-SP2-LTSS-2023-4339
SUSE-SLE-Product-HPC-15-SP2-LTSS-2024-3
SUSE Linux Enterprise High Performance Computing 15 SP3-ESPOS
  • libjavascriptcoregtk-4_0-18 >= 2.42.4-150200.97.3
  • libwebkit2gtk-4_0-37 >= 2.42.4-150200.97.3
  • libwebkit2gtk3-lang >= 2.42.4-150200.97.3
  • typelib-1_0-JavaScriptCore-4_0 >= 2.42.4-150200.97.3
  • typelib-1_0-WebKit2-4_0 >= 2.42.4-150200.97.3
  • typelib-1_0-WebKit2WebExtension-4_0 >= 2.42.4-150200.97.3
  • webkit2gtk-4_0-injected-bundles >= 2.42.4-150200.97.3
  • webkit2gtk3-devel >= 2.42.4-150200.97.3
Patchnames:
SUSE-SLE-Product-HPC-15-SP3-ESPOS-2023-4339
SUSE-SLE-Product-HPC-15-SP3-ESPOS-2024-3
SUSE Linux Enterprise High Performance Computing 15 SP3-LTSS
  • libjavascriptcoregtk-4_0-18 >= 2.42.4-150200.97.3
  • libwebkit2gtk-4_0-37 >= 2.42.4-150200.97.3
  • libwebkit2gtk3-lang >= 2.42.4-150200.97.3
  • typelib-1_0-JavaScriptCore-4_0 >= 2.42.4-150200.97.3
  • typelib-1_0-WebKit2-4_0 >= 2.42.4-150200.97.3
  • typelib-1_0-WebKit2WebExtension-4_0 >= 2.42.4-150200.97.3
  • webkit2gtk-4_0-injected-bundles >= 2.42.4-150200.97.3
  • webkit2gtk3-devel >= 2.42.4-150200.97.3
Patchnames:
SUSE-SLE-Product-HPC-15-SP3-LTSS-2023-4339
SUSE-SLE-Product-HPC-15-SP3-LTSS-2024-3
SUSE Linux Enterprise High Performance Computing 15 SP4-ESPOS
  • WebKitGTK-4.0-lang >= 2.42.4-150400.4.70.3
  • WebKitGTK-4.1-lang >= 2.42.4-150400.4.70.3
  • WebKitGTK-6.0-lang >= 2.42.4-150400.4.70.3
  • libjavascriptcoregtk-4_0-18 >= 2.42.4-150400.4.70.3
  • libjavascriptcoregtk-4_1-0 >= 2.42.4-150400.4.70.3
  • libjavascriptcoregtk-6_0-1 >= 2.42.4-150400.4.70.3
  • libwebkit2gtk-4_0-37 >= 2.42.4-150400.4.70.3
  • libwebkit2gtk-4_1-0 >= 2.42.4-150400.4.70.3
  • libwebkitgtk-6_0-4 >= 2.42.4-150400.4.70.3
  • typelib-1_0-JavaScriptCore-4_0 >= 2.42.4-150400.4.70.3
  • typelib-1_0-JavaScriptCore-4_1 >= 2.42.4-150400.4.70.3
  • typelib-1_0-WebKit2-4_0 >= 2.42.4-150400.4.70.3
  • typelib-1_0-WebKit2-4_1 >= 2.42.4-150400.4.70.3
  • typelib-1_0-WebKit2WebExtension-4_0 >= 2.42.4-150400.4.70.3
  • typelib-1_0-WebKit2WebExtension-4_1 >= 2.42.4-150400.4.70.3
  • webkit2gtk-4_0-injected-bundles >= 2.42.4-150400.4.70.3
  • webkit2gtk-4_1-injected-bundles >= 2.42.4-150400.4.70.3
  • webkit2gtk3-devel >= 2.42.4-150400.4.70.3
  • webkit2gtk3-soup2-devel >= 2.42.4-150400.4.70.3
  • webkitgtk-6_0-injected-bundles >= 2.42.4-150400.4.70.3
Patchnames:
SUSE-SLE-Product-HPC-15-SP4-ESPOS-2024-4
SUSE Linux Enterprise High Performance Computing 15 SP4-LTSS
  • WebKitGTK-4.0-lang >= 2.42.4-150400.4.70.3
  • WebKitGTK-4.1-lang >= 2.42.4-150400.4.70.3
  • WebKitGTK-6.0-lang >= 2.42.4-150400.4.70.3
  • libjavascriptcoregtk-4_0-18 >= 2.42.4-150400.4.70.3
  • libjavascriptcoregtk-4_1-0 >= 2.42.4-150400.4.70.3
  • libjavascriptcoregtk-6_0-1 >= 2.42.4-150400.4.70.3
  • libwebkit2gtk-4_0-37 >= 2.42.4-150400.4.70.3
  • libwebkit2gtk-4_1-0 >= 2.42.4-150400.4.70.3
  • libwebkitgtk-6_0-4 >= 2.42.4-150400.4.70.3
  • typelib-1_0-JavaScriptCore-4_0 >= 2.42.4-150400.4.70.3
  • typelib-1_0-JavaScriptCore-4_1 >= 2.42.4-150400.4.70.3
  • typelib-1_0-WebKit2-4_0 >= 2.42.4-150400.4.70.3
  • typelib-1_0-WebKit2-4_1 >= 2.42.4-150400.4.70.3
  • typelib-1_0-WebKit2WebExtension-4_0 >= 2.42.4-150400.4.70.3
  • typelib-1_0-WebKit2WebExtension-4_1 >= 2.42.4-150400.4.70.3
  • webkit2gtk-4_0-injected-bundles >= 2.42.4-150400.4.70.3
  • webkit2gtk-4_1-injected-bundles >= 2.42.4-150400.4.70.3
  • webkit2gtk3-devel >= 2.42.4-150400.4.70.3
  • webkit2gtk3-soup2-devel >= 2.42.4-150400.4.70.3
  • webkitgtk-6_0-injected-bundles >= 2.42.4-150400.4.70.3
Patchnames:
SUSE-SLE-Product-HPC-15-SP4-LTSS-2024-4
SUSE Linux Enterprise Module for Basesystem 15 SP4
  • WebKitGTK-4.0-lang >= 2.42.4-150400.4.70.3
  • libjavascriptcoregtk-4_0-18 >= 2.42.4-150400.4.70.3
  • libwebkit2gtk-4_0-37 >= 2.42.4-150400.4.70.3
  • typelib-1_0-JavaScriptCore-4_0 >= 2.42.4-150400.4.70.3
  • typelib-1_0-WebKit2-4_0 >= 2.42.4-150400.4.70.3
  • typelib-1_0-WebKit2WebExtension-4_0 >= 2.42.4-150400.4.70.3
  • webkit2gtk-4_0-injected-bundles >= 2.42.4-150400.4.70.3
  • webkit2gtk3-soup2-devel >= 2.42.4-150400.4.70.3
Patchnames:
SUSE-SLE-Module-Basesystem-15-SP4-2023-4294
SUSE-SLE-Module-Basesystem-15-SP4-2024-4
SUSE Linux Enterprise Module for Basesystem 15 SP5
  • WebKitGTK-4.0-lang >= 2.42.4-150400.4.70.3
  • libjavascriptcoregtk-4_0-18 >= 2.42.4-150400.4.70.3
  • libwebkit2gtk-4_0-37 >= 2.42.4-150400.4.70.3
  • typelib-1_0-JavaScriptCore-4_0 >= 2.42.4-150400.4.70.3
  • typelib-1_0-WebKit2-4_0 >= 2.42.4-150400.4.70.3
  • typelib-1_0-WebKit2WebExtension-4_0 >= 2.42.4-150400.4.70.3
  • webkit2gtk-4_0-injected-bundles >= 2.42.4-150400.4.70.3
  • webkit2gtk3-soup2-devel >= 2.42.4-150400.4.70.3
Patchnames:
SUSE-SLE-Module-Basesystem-15-SP5-2023-4294
SUSE-SLE-Module-Basesystem-15-SP5-2024-4
SUSE Linux Enterprise Module for Desktop Applications 15 SP4
  • WebKitGTK-4.1-lang >= 2.42.4-150400.4.70.3
  • libjavascriptcoregtk-4_1-0 >= 2.42.4-150400.4.70.3
  • libwebkit2gtk-4_1-0 >= 2.42.4-150400.4.70.3
  • typelib-1_0-JavaScriptCore-4_1 >= 2.42.4-150400.4.70.3
  • typelib-1_0-WebKit2-4_1 >= 2.42.4-150400.4.70.3
  • typelib-1_0-WebKit2WebExtension-4_1 >= 2.42.4-150400.4.70.3
  • webkit2gtk-4_1-injected-bundles >= 2.42.4-150400.4.70.3
  • webkit2gtk3-devel >= 2.42.4-150400.4.70.3
Patchnames:
SUSE-SLE-Module-Desktop-Applications-15-SP4-2023-4294
SUSE-SLE-Module-Desktop-Applications-15-SP4-2024-4
SUSE Linux Enterprise Module for Desktop Applications 15 SP5
  • WebKitGTK-4.1-lang >= 2.42.4-150400.4.70.3
  • libjavascriptcoregtk-4_1-0 >= 2.42.4-150400.4.70.3
  • libwebkit2gtk-4_1-0 >= 2.42.4-150400.4.70.3
  • typelib-1_0-JavaScriptCore-4_1 >= 2.42.4-150400.4.70.3
  • typelib-1_0-WebKit2-4_1 >= 2.42.4-150400.4.70.3
  • typelib-1_0-WebKit2WebExtension-4_1 >= 2.42.4-150400.4.70.3
  • webkit2gtk-4_1-injected-bundles >= 2.42.4-150400.4.70.3
  • webkit2gtk3-devel >= 2.42.4-150400.4.70.3
Patchnames:
SUSE-SLE-Module-Desktop-Applications-15-SP5-2023-4294
SUSE-SLE-Module-Desktop-Applications-15-SP5-2024-4
SUSE Linux Enterprise Module for Development Tools 15 SP4
  • WebKitGTK-6.0-lang >= 2.42.1-150400.4.57.3
  • libjavascriptcoregtk-6_0-1 >= 2.42.1-150400.4.57.3
  • libwebkitgtk-6_0-4 >= 2.42.1-150400.4.57.3
  • webkitgtk-6_0-injected-bundles >= 2.42.1-150400.4.57.3
Patchnames:
SUSE-SLE-Module-Development-Tools-15-SP4-2023-4294
SUSE Linux Enterprise Module for Development Tools 15 SP5
  • WebKitGTK-6.0-lang >= 2.42.4-150400.4.70.3
  • libjavascriptcoregtk-6_0-1 >= 2.42.4-150400.4.70.3
  • libwebkitgtk-6_0-4 >= 2.42.4-150400.4.70.3
  • webkitgtk-6_0-injected-bundles >= 2.42.4-150400.4.70.3
Patchnames:
SUSE-SLE-Module-Development-Tools-15-SP5-2023-4294
SUSE-SLE-Module-Development-Tools-15-SP5-2024-4
SUSE Linux Enterprise Real Time 15 SP4
  • WebKitGTK-4.0-lang >= 2.42.4-150400.4.70.3
  • WebKitGTK-4.1-lang >= 2.42.4-150400.4.70.3
  • WebKitGTK-6.0-lang >= 2.42.4-150400.4.70.3
  • libjavascriptcoregtk-4_0-18 >= 2.42.4-150400.4.70.3
  • libjavascriptcoregtk-4_1-0 >= 2.42.4-150400.4.70.3
  • libjavascriptcoregtk-6_0-1 >= 2.42.4-150400.4.70.3
  • libwebkit2gtk-4_0-37 >= 2.42.4-150400.4.70.3
  • libwebkit2gtk-4_1-0 >= 2.42.4-150400.4.70.3
  • libwebkitgtk-6_0-4 >= 2.42.4-150400.4.70.3
  • typelib-1_0-JavaScriptCore-4_0 >= 2.42.4-150400.4.70.3
  • typelib-1_0-JavaScriptCore-4_1 >= 2.42.4-150400.4.70.3
  • typelib-1_0-WebKit2-4_0 >= 2.42.4-150400.4.70.3
  • typelib-1_0-WebKit2-4_1 >= 2.42.4-150400.4.70.3
  • typelib-1_0-WebKit2WebExtension-4_0 >= 2.42.4-150400.4.70.3
  • typelib-1_0-WebKit2WebExtension-4_1 >= 2.42.4-150400.4.70.3
  • webkit2gtk-4_0-injected-bundles >= 2.42.4-150400.4.70.3
  • webkit2gtk-4_1-injected-bundles >= 2.42.4-150400.4.70.3
  • webkit2gtk3-devel >= 2.42.4-150400.4.70.3
  • webkit2gtk3-soup2-devel >= 2.42.4-150400.4.70.3
  • webkitgtk-6_0-injected-bundles >= 2.42.4-150400.4.70.3
Patchnames:
SUSE-SLE-Product-RT-15-SP4-2024-4
SUSE Linux Enterprise Server 12 SP5
SUSE Linux Enterprise Server for SAP Applications 12 SP5
  • libjavascriptcoregtk-4_0-18 >= 2.42.4-2.164.1
  • libjavascriptcoregtk-4_0-18-32bit >= 2.42.4-2.164.1
  • libwebkit2gtk-4_0-37 >= 2.42.4-2.164.1
  • libwebkit2gtk3-lang >= 2.42.4-2.164.1
  • typelib-1_0-JavaScriptCore-4_0 >= 2.42.4-2.164.1
  • typelib-1_0-WebKit2-4_0 >= 2.42.4-2.164.1
  • typelib-1_0-WebKit2WebExtension-4_0 >= 2.42.4-2.164.1
  • webkit2gtk-4_0-injected-bundles >= 2.42.4-2.164.1
  • webkit2gtk3-devel >= 2.42.4-2.164.1
Patchnames:
SUSE-SLE-SDK-12-SP5-2023-4209
SUSE-SLE-SDK-12-SP5-2023-4978
SUSE-SLE-SERVER-12-SP5-2023-4209
SUSE-SLE-SERVER-12-SP5-2023-4978
SUSE-SLE-WE-12-SP5-2023-4209
SUSE-SLE-WE-12-SP5-2023-4978
SUSE Linux Enterprise Server 15 SP1-LTSS
  • libjavascriptcoregtk-4_0-18 >= 2.42.4-150000.3.163.2
  • libwebkit2gtk-4_0-37 >= 2.42.4-150000.3.163.2
  • libwebkit2gtk3-lang >= 2.42.4-150000.3.163.2
  • typelib-1_0-JavaScriptCore-4_0 >= 2.42.4-150000.3.163.2
  • typelib-1_0-WebKit2-4_0 >= 2.42.4-150000.3.163.2
  • typelib-1_0-WebKit2WebExtension-4_0 >= 2.42.4-150000.3.163.2
  • webkit2gtk-4_0-injected-bundles >= 2.42.4-150000.3.163.2
  • webkit2gtk3-devel >= 2.42.4-150000.3.163.2
Patchnames:
SUSE-SLE-Product-SLES-15-SP1-LTSS-2023-4211
SUSE-SLE-Product-SLES-15-SP1-LTSS-2024-2
SUSE Linux Enterprise Server 15 SP2-LTSS
  • libjavascriptcoregtk-4_0-18 >= 2.42.4-150200.97.3
  • libwebkit2gtk-4_0-37 >= 2.42.4-150200.97.3
  • libwebkit2gtk3-lang >= 2.42.4-150200.97.3
  • typelib-1_0-JavaScriptCore-4_0 >= 2.42.4-150200.97.3
  • typelib-1_0-WebKit2-4_0 >= 2.42.4-150200.97.3
  • typelib-1_0-WebKit2WebExtension-4_0 >= 2.42.4-150200.97.3
  • webkit2gtk-4_0-injected-bundles >= 2.42.4-150200.97.3
  • webkit2gtk3-devel >= 2.42.4-150200.97.3
Patchnames:
SUSE-SLE-Product-SLES-15-SP2-LTSS-2023-4339
SUSE-SLE-Product-SLES-15-SP2-LTSS-2024-3
SUSE Linux Enterprise Server 15 SP3-LTSS
  • libjavascriptcoregtk-4_0-18 >= 2.42.4-150200.97.3
  • libwebkit2gtk-4_0-37 >= 2.42.4-150200.97.3
  • libwebkit2gtk3-lang >= 2.42.4-150200.97.3
  • typelib-1_0-JavaScriptCore-4_0 >= 2.42.4-150200.97.3
  • typelib-1_0-WebKit2-4_0 >= 2.42.4-150200.97.3
  • typelib-1_0-WebKit2WebExtension-4_0 >= 2.42.4-150200.97.3
  • webkit2gtk-4_0-injected-bundles >= 2.42.4-150200.97.3
  • webkit2gtk3-devel >= 2.42.4-150200.97.3
Patchnames:
SUSE-SLE-Product-SLES-15-SP3-LTSS-2023-4339
SUSE-SLE-Product-SLES-15-SP3-LTSS-2024-3
SUSE Linux Enterprise Server 15 SP4-LTSS
  • WebKitGTK-4.0-lang >= 2.42.4-150400.4.70.3
  • WebKitGTK-4.1-lang >= 2.42.4-150400.4.70.3
  • WebKitGTK-6.0-lang >= 2.42.4-150400.4.70.3
  • libjavascriptcoregtk-4_0-18 >= 2.42.4-150400.4.70.3
  • libjavascriptcoregtk-4_1-0 >= 2.42.4-150400.4.70.3
  • libjavascriptcoregtk-6_0-1 >= 2.42.4-150400.4.70.3
  • libwebkit2gtk-4_0-37 >= 2.42.4-150400.4.70.3
  • libwebkit2gtk-4_1-0 >= 2.42.4-150400.4.70.3
  • libwebkitgtk-6_0-4 >= 2.42.4-150400.4.70.3
  • typelib-1_0-JavaScriptCore-4_0 >= 2.42.4-150400.4.70.3
  • typelib-1_0-JavaScriptCore-4_1 >= 2.42.4-150400.4.70.3
  • typelib-1_0-WebKit2-4_0 >= 2.42.4-150400.4.70.3
  • typelib-1_0-WebKit2-4_1 >= 2.42.4-150400.4.70.3
  • typelib-1_0-WebKit2WebExtension-4_0 >= 2.42.4-150400.4.70.3
  • typelib-1_0-WebKit2WebExtension-4_1 >= 2.42.4-150400.4.70.3
  • webkit2gtk-4_0-injected-bundles >= 2.42.4-150400.4.70.3
  • webkit2gtk-4_1-injected-bundles >= 2.42.4-150400.4.70.3
  • webkit2gtk3-devel >= 2.42.4-150400.4.70.3
  • webkit2gtk3-soup2-devel >= 2.42.4-150400.4.70.3
  • webkitgtk-6_0-injected-bundles >= 2.42.4-150400.4.70.3
Patchnames:
SUSE-SLE-Product-SLES-15-SP4-LTSS-2024-4
SUSE Linux Enterprise Server for SAP Applications 15 SP1
  • libjavascriptcoregtk-4_0-18 >= 2.42.4-150000.3.163.2
  • libwebkit2gtk-4_0-37 >= 2.42.4-150000.3.163.2
  • libwebkit2gtk3-lang >= 2.42.4-150000.3.163.2
  • typelib-1_0-JavaScriptCore-4_0 >= 2.42.4-150000.3.163.2
  • typelib-1_0-WebKit2-4_0 >= 2.42.4-150000.3.163.2
  • typelib-1_0-WebKit2WebExtension-4_0 >= 2.42.4-150000.3.163.2
  • webkit2gtk-4_0-injected-bundles >= 2.42.4-150000.3.163.2
  • webkit2gtk3-devel >= 2.42.4-150000.3.163.2
Patchnames:
SUSE-SLE-Product-SLES_SAP-15-SP1-2023-4211
SUSE-SLE-Product-SLES_SAP-15-SP1-2024-2
SUSE Linux Enterprise Server for SAP Applications 15 SP2
  • libjavascriptcoregtk-4_0-18 >= 2.42.4-150200.97.3
  • libwebkit2gtk-4_0-37 >= 2.42.4-150200.97.3
  • libwebkit2gtk3-lang >= 2.42.4-150200.97.3
  • typelib-1_0-JavaScriptCore-4_0 >= 2.42.4-150200.97.3
  • typelib-1_0-WebKit2-4_0 >= 2.42.4-150200.97.3
  • typelib-1_0-WebKit2WebExtension-4_0 >= 2.42.4-150200.97.3
  • webkit2gtk-4_0-injected-bundles >= 2.42.4-150200.97.3
  • webkit2gtk3-devel >= 2.42.4-150200.97.3
Patchnames:
SUSE-SLE-Product-SLES_SAP-15-SP2-2023-4339
SUSE-SLE-Product-SLES_SAP-15-SP2-2024-3
SUSE Linux Enterprise Server for SAP Applications 15 SP3
  • libjavascriptcoregtk-4_0-18 >= 2.42.4-150200.97.3
  • libwebkit2gtk-4_0-37 >= 2.42.4-150200.97.3
  • libwebkit2gtk3-lang >= 2.42.4-150200.97.3
  • typelib-1_0-JavaScriptCore-4_0 >= 2.42.4-150200.97.3
  • typelib-1_0-WebKit2-4_0 >= 2.42.4-150200.97.3
  • typelib-1_0-WebKit2WebExtension-4_0 >= 2.42.4-150200.97.3
  • webkit2gtk-4_0-injected-bundles >= 2.42.4-150200.97.3
  • webkit2gtk3-devel >= 2.42.4-150200.97.3
Patchnames:
SUSE-SLE-Product-SLES_SAP-15-SP3-2023-4339
SUSE-SLE-Product-SLES_SAP-15-SP3-2024-3
SUSE Linux Enterprise Server for SAP Applications 15 SP4
  • WebKitGTK-4.0-lang >= 2.42.4-150400.4.70.3
  • WebKitGTK-4.1-lang >= 2.42.4-150400.4.70.3
  • WebKitGTK-6.0-lang >= 2.42.1-150400.4.57.3
  • WebKitGTK-6.0-lang >= 2.42.4-150400.4.70.3
  • libjavascriptcoregtk-4_0-18 >= 2.42.4-150400.4.70.3
  • libjavascriptcoregtk-4_1-0 >= 2.42.4-150400.4.70.3
  • libjavascriptcoregtk-6_0-1 >= 2.42.1-150400.4.57.3
  • libjavascriptcoregtk-6_0-1 >= 2.42.4-150400.4.70.3
  • libwebkit2gtk-4_0-37 >= 2.42.4-150400.4.70.3
  • libwebkit2gtk-4_1-0 >= 2.42.4-150400.4.70.3
  • libwebkitgtk-6_0-4 >= 2.42.1-150400.4.57.3
  • libwebkitgtk-6_0-4 >= 2.42.4-150400.4.70.3
  • typelib-1_0-JavaScriptCore-4_0 >= 2.42.4-150400.4.70.3
  • typelib-1_0-JavaScriptCore-4_1 >= 2.42.4-150400.4.70.3
  • typelib-1_0-WebKit2-4_0 >= 2.42.4-150400.4.70.3
  • typelib-1_0-WebKit2-4_1 >= 2.42.4-150400.4.70.3
  • typelib-1_0-WebKit2WebExtension-4_0 >= 2.42.4-150400.4.70.3
  • typelib-1_0-WebKit2WebExtension-4_1 >= 2.42.4-150400.4.70.3
  • webkit2gtk-4_0-injected-bundles >= 2.42.4-150400.4.70.3
  • webkit2gtk-4_1-injected-bundles >= 2.42.4-150400.4.70.3
  • webkit2gtk3-devel >= 2.42.4-150400.4.70.3
  • webkit2gtk3-soup2-devel >= 2.42.4-150400.4.70.3
  • webkitgtk-6_0-injected-bundles >= 2.42.1-150400.4.57.3
  • webkitgtk-6_0-injected-bundles >= 2.42.4-150400.4.70.3
Patchnames:
SUSE-SLE-Module-Basesystem-15-SP4-2023-4294
SUSE-SLE-Module-Basesystem-15-SP4-2024-4
SUSE-SLE-Module-Desktop-Applications-15-SP4-2023-4294
SUSE-SLE-Module-Desktop-Applications-15-SP4-2024-4
SUSE-SLE-Module-Development-Tools-15-SP4-2023-4294
SUSE-SLE-Product-SLES_SAP-15-SP4-2024-4
SUSE Linux Enterprise Software Development Kit 12 SP5
  • typelib-1_0-WebKit2WebExtension-4_0 >= 2.42.4-2.164.1
  • webkit2gtk3-devel >= 2.42.4-2.164.1
Patchnames:
SUSE-SLE-SDK-12-SP5-2023-4209
SUSE-SLE-SDK-12-SP5-2023-4978
SUSE Linux Enterprise Workstation Extension 12 SP5
  • libjavascriptcoregtk-4_0-18-32bit >= 2.42.4-2.164.1
Patchnames:
SUSE-SLE-WE-12-SP5-2023-4209
SUSE-SLE-WE-12-SP5-2023-4978
SUSE Manager Proxy 4.2
  • libjavascriptcoregtk-4_0-18 >= 2.42.1-150200.87.4
  • libwebkit2gtk-4_0-37 >= 2.42.1-150200.87.4
  • libwebkit2gtk3-lang >= 2.42.1-150200.87.4
  • webkit2gtk-4_0-injected-bundles >= 2.42.1-150200.87.4
Patchnames:
SUSE-SLE-Product-SUSE-Manager-Proxy-4.2-2023-4339
SUSE Manager Proxy 4.3
  • WebKitGTK-4.0-lang >= 2.42.4-150400.4.70.3
  • WebKitGTK-4.1-lang >= 2.42.4-150400.4.70.3
  • WebKitGTK-6.0-lang >= 2.42.1-150400.4.57.3
  • libjavascriptcoregtk-4_0-18 >= 2.42.4-150400.4.70.3
  • libjavascriptcoregtk-4_1-0 >= 2.42.4-150400.4.70.3
  • libjavascriptcoregtk-6_0-1 >= 2.42.1-150400.4.57.3
  • libwebkit2gtk-4_0-37 >= 2.42.4-150400.4.70.3
  • libwebkit2gtk-4_1-0 >= 2.42.4-150400.4.70.3
  • libwebkitgtk-6_0-4 >= 2.42.1-150400.4.57.3
  • typelib-1_0-JavaScriptCore-4_0 >= 2.42.4-150400.4.70.3
  • typelib-1_0-JavaScriptCore-4_1 >= 2.42.4-150400.4.70.3
  • typelib-1_0-WebKit2-4_0 >= 2.42.4-150400.4.70.3
  • typelib-1_0-WebKit2-4_1 >= 2.42.4-150400.4.70.3
  • typelib-1_0-WebKit2WebExtension-4_0 >= 2.42.4-150400.4.70.3
  • typelib-1_0-WebKit2WebExtension-4_1 >= 2.42.4-150400.4.70.3
  • webkit2gtk-4_0-injected-bundles >= 2.42.4-150400.4.70.3
  • webkit2gtk-4_1-injected-bundles >= 2.42.4-150400.4.70.3
  • webkit2gtk3-devel >= 2.42.4-150400.4.70.3
  • webkit2gtk3-soup2-devel >= 2.42.4-150400.4.70.3
  • webkitgtk-6_0-injected-bundles >= 2.42.1-150400.4.57.3
Patchnames:
SUSE-SLE-Module-Basesystem-15-SP4-2023-4294
SUSE-SLE-Module-Basesystem-15-SP4-2024-4
SUSE-SLE-Module-Desktop-Applications-15-SP4-2023-4294
SUSE-SLE-Module-Desktop-Applications-15-SP4-2024-4
SUSE-SLE-Module-Development-Tools-15-SP4-2023-4294
SUSE-SLE-Product-SUSE-Manager-Proxy-4.3-2024-4
SUSE Manager Retail Branch Server 4.2
  • libjavascriptcoregtk-4_0-18 >= 2.42.1-150200.87.4
  • libwebkit2gtk-4_0-37 >= 2.42.1-150200.87.4
  • libwebkit2gtk3-lang >= 2.42.1-150200.87.4
  • webkit2gtk-4_0-injected-bundles >= 2.42.1-150200.87.4
Patchnames:
SUSE-SLE-Product-SUSE-Manager-Retail-Branch-Server-4.2-2023-4339
SUSE Manager Retail Branch Server 4.3
  • WebKitGTK-4.0-lang >= 2.42.4-150400.4.70.3
  • WebKitGTK-4.1-lang >= 2.42.4-150400.4.70.3
  • WebKitGTK-6.0-lang >= 2.42.1-150400.4.57.3
  • libjavascriptcoregtk-4_0-18 >= 2.42.4-150400.4.70.3
  • libjavascriptcoregtk-4_1-0 >= 2.42.4-150400.4.70.3
  • libjavascriptcoregtk-6_0-1 >= 2.42.1-150400.4.57.3
  • libwebkit2gtk-4_0-37 >= 2.42.4-150400.4.70.3
  • libwebkit2gtk-4_1-0 >= 2.42.4-150400.4.70.3
  • libwebkitgtk-6_0-4 >= 2.42.1-150400.4.57.3
  • typelib-1_0-JavaScriptCore-4_0 >= 2.42.4-150400.4.70.3
  • typelib-1_0-JavaScriptCore-4_1 >= 2.42.4-150400.4.70.3
  • typelib-1_0-WebKit2-4_0 >= 2.42.4-150400.4.70.3
  • typelib-1_0-WebKit2-4_1 >= 2.42.4-150400.4.70.3
  • typelib-1_0-WebKit2WebExtension-4_0 >= 2.42.4-150400.4.70.3
  • typelib-1_0-WebKit2WebExtension-4_1 >= 2.42.4-150400.4.70.3
  • webkit2gtk-4_0-injected-bundles >= 2.42.4-150400.4.70.3
  • webkit2gtk-4_1-injected-bundles >= 2.42.4-150400.4.70.3
  • webkit2gtk3-devel >= 2.42.4-150400.4.70.3
  • webkit2gtk3-soup2-devel >= 2.42.4-150400.4.70.3
  • webkitgtk-6_0-injected-bundles >= 2.42.1-150400.4.57.3
Patchnames:
SUSE-SLE-Module-Basesystem-15-SP4-2023-4294
SUSE-SLE-Module-Basesystem-15-SP4-2024-4
SUSE-SLE-Module-Desktop-Applications-15-SP4-2023-4294
SUSE-SLE-Module-Desktop-Applications-15-SP4-2024-4
SUSE-SLE-Module-Development-Tools-15-SP4-2023-4294
SUSE-SLE-Product-SUSE-Manager-Retail-Branch-Server-4.3-2024-4
SUSE Manager Server 4.2
  • libjavascriptcoregtk-4_0-18 >= 2.42.1-150200.87.4
  • libwebkit2gtk-4_0-37 >= 2.42.1-150200.87.4
  • libwebkit2gtk3-lang >= 2.42.1-150200.87.4
  • webkit2gtk-4_0-injected-bundles >= 2.42.1-150200.87.4
Patchnames:
SUSE-SLE-Product-SUSE-Manager-Server-4.2-2023-4339
SUSE Manager Server 4.3
  • WebKitGTK-4.0-lang >= 2.42.4-150400.4.70.3
  • WebKitGTK-4.1-lang >= 2.42.4-150400.4.70.3
  • WebKitGTK-6.0-lang >= 2.42.1-150400.4.57.3
  • libjavascriptcoregtk-4_0-18 >= 2.42.4-150400.4.70.3
  • libjavascriptcoregtk-4_1-0 >= 2.42.4-150400.4.70.3
  • libjavascriptcoregtk-6_0-1 >= 2.42.1-150400.4.57.3
  • libwebkit2gtk-4_0-37 >= 2.42.4-150400.4.70.3
  • libwebkit2gtk-4_1-0 >= 2.42.4-150400.4.70.3
  • libwebkitgtk-6_0-4 >= 2.42.1-150400.4.57.3
  • typelib-1_0-JavaScriptCore-4_0 >= 2.42.4-150400.4.70.3
  • typelib-1_0-JavaScriptCore-4_1 >= 2.42.4-150400.4.70.3
  • typelib-1_0-WebKit2-4_0 >= 2.42.4-150400.4.70.3
  • typelib-1_0-WebKit2-4_1 >= 2.42.4-150400.4.70.3
  • typelib-1_0-WebKit2WebExtension-4_0 >= 2.42.4-150400.4.70.3
  • typelib-1_0-WebKit2WebExtension-4_1 >= 2.42.4-150400.4.70.3
  • webkit2gtk-4_0-injected-bundles >= 2.42.4-150400.4.70.3
  • webkit2gtk-4_1-injected-bundles >= 2.42.4-150400.4.70.3
  • webkit2gtk3-devel >= 2.42.4-150400.4.70.3
  • webkit2gtk3-soup2-devel >= 2.42.4-150400.4.70.3
  • webkitgtk-6_0-injected-bundles >= 2.42.1-150400.4.57.3
Patchnames:
SUSE-SLE-Module-Basesystem-15-SP4-2023-4294
SUSE-SLE-Module-Basesystem-15-SP4-2024-4
SUSE-SLE-Module-Desktop-Applications-15-SP4-2023-4294
SUSE-SLE-Module-Desktop-Applications-15-SP4-2024-4
SUSE-SLE-Module-Development-Tools-15-SP4-2023-4294
SUSE-SLE-Product-SUSE-Manager-Server-4.3-2024-4
openSUSE Leap 15.4
  • WebKitGTK-4.0-lang >= 2.42.4-150400.4.70.3
  • WebKitGTK-4.1-lang >= 2.42.4-150400.4.70.3
  • WebKitGTK-6.0-lang >= 2.42.4-150400.4.70.3
  • libjavascriptcoregtk-4_0-18 >= 2.42.4-150400.4.70.3
  • libjavascriptcoregtk-4_0-18-32bit >= 2.42.4-150400.4.70.3
  • libjavascriptcoregtk-4_0-18-64bit >= 2.42.1-150400.4.57.2
  • libjavascriptcoregtk-4_1-0 >= 2.42.4-150400.4.70.3
  • libjavascriptcoregtk-4_1-0-32bit >= 2.42.4-150400.4.70.3
  • libjavascriptcoregtk-4_1-0-64bit >= 2.42.1-150400.4.57.2
  • libjavascriptcoregtk-6_0-1 >= 2.42.4-150400.4.70.3
  • libwebkit2gtk-4_0-37 >= 2.42.4-150400.4.70.3
  • libwebkit2gtk-4_0-37-32bit >= 2.42.4-150400.4.70.3
  • libwebkit2gtk-4_0-37-64bit >= 2.42.1-150400.4.57.2
  • libwebkit2gtk-4_1-0 >= 2.42.4-150400.4.70.3
  • libwebkit2gtk-4_1-0-32bit >= 2.42.4-150400.4.70.3
  • libwebkit2gtk-4_1-0-64bit >= 2.42.1-150400.4.57.2
  • libwebkitgtk-6_0-4 >= 2.42.4-150400.4.70.3
  • typelib-1_0-JavaScriptCore-4_0 >= 2.42.4-150400.4.70.3
  • typelib-1_0-JavaScriptCore-4_1 >= 2.42.4-150400.4.70.3
  • typelib-1_0-JavaScriptCore-6_0 >= 2.42.4-150400.4.70.3
  • typelib-1_0-WebKit-6_0 >= 2.42.4-150400.4.70.3
  • typelib-1_0-WebKit2-4_0 >= 2.42.4-150400.4.70.3
  • typelib-1_0-WebKit2-4_1 >= 2.42.4-150400.4.70.3
  • typelib-1_0-WebKit2WebExtension-4_0 >= 2.42.4-150400.4.70.3
  • typelib-1_0-WebKit2WebExtension-4_1 >= 2.42.4-150400.4.70.3
  • typelib-1_0-WebKitWebProcessExtension-6_0 >= 2.42.4-150400.4.70.3
  • webkit-jsc-4 >= 2.42.4-150400.4.70.3
  • webkit-jsc-4.1 >= 2.42.4-150400.4.70.3
  • webkit-jsc-6.0 >= 2.42.4-150400.4.70.3
  • webkit2gtk-4_0-injected-bundles >= 2.42.4-150400.4.70.3
  • webkit2gtk-4_1-injected-bundles >= 2.42.4-150400.4.70.3
  • webkit2gtk3-devel >= 2.42.4-150400.4.70.3
  • webkit2gtk3-minibrowser >= 2.42.4-150400.4.70.3
  • webkit2gtk3-soup2-devel >= 2.42.4-150400.4.70.3
  • webkit2gtk3-soup2-minibrowser >= 2.42.4-150400.4.70.3
  • webkit2gtk4-devel >= 2.42.4-150400.4.70.3
  • webkit2gtk4-minibrowser >= 2.42.4-150400.4.70.3
  • webkitgtk-6_0-injected-bundles >= 2.42.4-150400.4.70.3
Patchnames:
openSUSE-SLE-15.4-2023-4294
openSUSE-SLE-15.4-2024-4
openSUSE Leap 15.5
  • WebKitGTK-4.0-lang >= 2.42.4-150400.4.70.3
  • WebKitGTK-4.1-lang >= 2.42.4-150400.4.70.3
  • WebKitGTK-6.0-lang >= 2.42.4-150400.4.70.3
  • libjavascriptcoregtk-4_0-18 >= 2.42.4-150400.4.70.3
  • libjavascriptcoregtk-4_0-18-32bit >= 2.42.4-150400.4.70.3
  • libjavascriptcoregtk-4_0-18-64bit >= 2.42.1-150400.4.57.2
  • libjavascriptcoregtk-4_1-0 >= 2.42.4-150400.4.70.3
  • libjavascriptcoregtk-4_1-0-32bit >= 2.42.4-150400.4.70.3
  • libjavascriptcoregtk-4_1-0-64bit >= 2.42.1-150400.4.57.2
  • libjavascriptcoregtk-6_0-1 >= 2.42.4-150400.4.70.3
  • libwebkit2gtk-4_0-37 >= 2.42.4-150400.4.70.3
  • libwebkit2gtk-4_0-37-32bit >= 2.42.4-150400.4.70.3
  • libwebkit2gtk-4_0-37-64bit >= 2.42.1-150400.4.57.2
  • libwebkit2gtk-4_1-0 >= 2.42.4-150400.4.70.3
  • libwebkit2gtk-4_1-0-32bit >= 2.42.4-150400.4.70.3
  • libwebkit2gtk-4_1-0-64bit >= 2.42.1-150400.4.57.2
  • libwebkitgtk-6_0-4 >= 2.42.4-150400.4.70.3
  • typelib-1_0-JavaScriptCore-4_0 >= 2.42.4-150400.4.70.3
  • typelib-1_0-JavaScriptCore-4_1 >= 2.42.4-150400.4.70.3
  • typelib-1_0-JavaScriptCore-6_0 >= 2.42.4-150400.4.70.3
  • typelib-1_0-WebKit-6_0 >= 2.42.4-150400.4.70.3
  • typelib-1_0-WebKit2-4_0 >= 2.42.4-150400.4.70.3
  • typelib-1_0-WebKit2-4_1 >= 2.42.4-150400.4.70.3
  • typelib-1_0-WebKit2WebExtension-4_0 >= 2.42.4-150400.4.70.3
  • typelib-1_0-WebKit2WebExtension-4_1 >= 2.42.4-150400.4.70.3
  • typelib-1_0-WebKitWebProcessExtension-6_0 >= 2.42.4-150400.4.70.3
  • webkit-jsc-4 >= 2.42.4-150400.4.70.3
  • webkit-jsc-4.1 >= 2.42.4-150400.4.70.3
  • webkit-jsc-6.0 >= 2.42.4-150400.4.70.3
  • webkit2gtk-4_0-injected-bundles >= 2.42.4-150400.4.70.3
  • webkit2gtk-4_1-injected-bundles >= 2.42.4-150400.4.70.3
  • webkit2gtk3-devel >= 2.42.4-150400.4.70.3
  • webkit2gtk3-minibrowser >= 2.42.4-150400.4.70.3
  • webkit2gtk3-soup2-devel >= 2.42.4-150400.4.70.3
  • webkit2gtk3-soup2-minibrowser >= 2.42.4-150400.4.70.3
  • webkit2gtk4-devel >= 2.42.4-150400.4.70.3
  • webkit2gtk4-minibrowser >= 2.42.4-150400.4.70.3
  • webkitgtk-6_0-injected-bundles >= 2.42.4-150400.4.70.3
Patchnames:
openSUSE-SLE-15.5-2023-4294
openSUSE-SLE-15.5-2024-4


Status of this issue by product and package

Please note that this evaluation state might be work in progress, incomplete or outdated. Also information for service packs in the LTSS phase is only included for issues meeting the LTSS criteria. If in doubt, feel free to contact us for clarification. The updates are grouped by state of their lifecycle. SUSE product lifecycles are documented on the lifecycle page.

Product(s) Source package State
Products under general support and receiving all security fixes.
SUSE Enterprise Storage 7.1 webkit2gtk3 Released
SUSE Linux Enterprise Desktop 15 SP5 webkit2gtk3 Released
SUSE Linux Enterprise Desktop 15 SP5 webkit2gtk3-soup2 Released
SUSE Linux Enterprise Desktop 15 SP5 webkit2gtk4 Released
SUSE Linux Enterprise High Performance Computing 12 SP5 libQtWebKit4 Not affected
SUSE Linux Enterprise High Performance Computing 12 SP5 libqt5-qtwebkit Not affected
SUSE Linux Enterprise High Performance Computing 12 SP5 webkit2gtk3 Released
SUSE Linux Enterprise High Performance Computing 15 SP5 webkit2gtk3 Released
SUSE Linux Enterprise High Performance Computing 15 SP5 webkit2gtk3-soup2 Released
SUSE Linux Enterprise High Performance Computing 15 SP5 webkit2gtk4 Released
SUSE Linux Enterprise Module for Basesystem 15 SP5 webkit2gtk3 Released
SUSE Linux Enterprise Module for Basesystem 15 SP5 webkit2gtk3-soup2 Released
SUSE Linux Enterprise Module for Desktop Applications 15 SP5 webkit2gtk3 Released
SUSE Linux Enterprise Module for Development Tools 15 SP5 webkit2gtk3 Released
SUSE Linux Enterprise Module for Development Tools 15 SP5 webkit2gtk4 Released
SUSE Linux Enterprise Real Time 15 SP3 webkit2gtk3 Affected
SUSE Linux Enterprise Server 12 SP5 libQtWebKit4 Not affected
SUSE Linux Enterprise Server 12 SP5 libqt5-qtwebkit Not affected
SUSE Linux Enterprise Server 12 SP5 webkit2gtk3 Released
SUSE Linux Enterprise Server 12-LTSS libQtWebKit4 Not affected
SUSE Linux Enterprise Server 15 SP5 webkit2gtk3 Released
SUSE Linux Enterprise Server 15 SP5 webkit2gtk3-soup2 Released
SUSE Linux Enterprise Server 15 SP5 webkit2gtk4 Released
SUSE Linux Enterprise Server for SAP Applications 12 SP5 libQtWebKit4 Not affected
SUSE Linux Enterprise Server for SAP Applications 12 SP5 libqt5-qtwebkit Not affected
SUSE Linux Enterprise Server for SAP Applications 12 SP5 webkit2gtk3 Released
SUSE Linux Enterprise Server for SAP Applications 15 SP4 webkit2gtk3 Released
SUSE Linux Enterprise Server for SAP Applications 15 SP4 webkit2gtk3-soup2 Released
SUSE Linux Enterprise Server for SAP Applications 15 SP4 webkit2gtk4 Released
SUSE Linux Enterprise Server for SAP Applications 15 SP5 webkit2gtk3 Released
SUSE Linux Enterprise Server for SAP Applications 15 SP5 webkit2gtk3-soup2 Released
SUSE Linux Enterprise Server for SAP Applications 15 SP5 webkit2gtk4 Released
SUSE Linux Enterprise Software Development Kit 12 SP5 libQtWebKit4 Not affected
SUSE Linux Enterprise Software Development Kit 12 SP5 libqt5-qtwebkit Not affected
SUSE Linux Enterprise Software Development Kit 12 SP5 webkit2gtk3 Released
SUSE Linux Enterprise Workstation Extension 12 SP5 webkit2gtk3 Released
SUSE Manager Proxy 4.3 webkit2gtk3 Released
SUSE Manager Proxy 4.3 webkit2gtk3-soup2 Released
SUSE Manager Proxy 4.3 webkit2gtk4 Released
SUSE Manager Retail Branch Server 4.3 webkit2gtk3 Released
SUSE Manager Retail Branch Server 4.3 webkit2gtk3-soup2 Released
SUSE Manager Retail Branch Server 4.3 webkit2gtk4 Released
SUSE Manager Server 4.3 webkit2gtk3 Released
SUSE Manager Server 4.3 webkit2gtk3-soup2 Released
SUSE Manager Server 4.3 webkit2gtk4 Released
openSUSE Leap 15.5 webkit2gtk3 Released
Products under Long Term Service Pack support and receiving important and critical security fixes.
SUSE Linux Enterprise Desktop 15 SP4 webkit2gtk3 Released
SUSE Linux Enterprise Desktop 15 SP4 webkit2gtk3-soup2 Released
SUSE Linux Enterprise Desktop 15 SP4 webkit2gtk4 Released
SUSE Linux Enterprise Desktop 15 SP4 LTSS webkit2gtk3 Released
SUSE Linux Enterprise High Performance Computing 15 webkit2gtk3 Affected
SUSE Linux Enterprise High Performance Computing 15 SP1 webkit2gtk3 Affected
SUSE Linux Enterprise High Performance Computing 15 SP1-ESPOS webkit2gtk3 Affected
SUSE Linux Enterprise High Performance Computing 15 SP1-LTSS webkit2gtk3 Released
SUSE Linux Enterprise High Performance Computing 15 SP2 webkit2gtk3 Affected
SUSE Linux Enterprise High Performance Computing 15 SP2-ESPOS webkit2gtk3 Affected
SUSE Linux Enterprise High Performance Computing 15 SP2-LTSS webkit2gtk3 Released
SUSE Linux Enterprise High Performance Computing 15 SP3 webkit2gtk3 Affected
SUSE Linux Enterprise High Performance Computing 15 SP3-ESPOS webkit2gtk3 Released
SUSE Linux Enterprise High Performance Computing 15 SP3-LTSS webkit2gtk3 Released
SUSE Linux Enterprise High Performance Computing 15 SP4 webkit2gtk3 Released
SUSE Linux Enterprise High Performance Computing 15 SP4 webkit2gtk3-soup2 Released
SUSE Linux Enterprise High Performance Computing 15 SP4 webkit2gtk4 Released
SUSE Linux Enterprise High Performance Computing 15 SP4-ESPOS webkit2gtk3 Released
SUSE Linux Enterprise High Performance Computing 15 SP4-ESPOS webkit2gtk3-soup2 Released
SUSE Linux Enterprise High Performance Computing 15 SP4-ESPOS webkit2gtk4 Released
SUSE Linux Enterprise High Performance Computing 15 SP4-LTSS webkit2gtk3 Released
SUSE Linux Enterprise High Performance Computing 15 SP4-LTSS webkit2gtk3-soup2 Released
SUSE Linux Enterprise High Performance Computing 15 SP4-LTSS webkit2gtk4 Released
SUSE Linux Enterprise High Performance Computing 15-ESPOS webkit2gtk3 Affected
SUSE Linux Enterprise High Performance Computing 15-LTSS webkit2gtk3 Affected
SUSE Linux Enterprise Module for Basesystem 15 SP2 webkit2gtk3 Affected
SUSE Linux Enterprise Module for Basesystem 15 SP3 webkit2gtk3 Affected
SUSE Linux Enterprise Module for Basesystem 15 SP4 webkit2gtk3 Released
SUSE Linux Enterprise Module for Basesystem 15 SP4 webkit2gtk3-soup2 Released
SUSE Linux Enterprise Module for Desktop Applications 15 SP2 webkit2gtk3 Affected
SUSE Linux Enterprise Module for Desktop Applications 15 SP3 webkit2gtk3 Affected
SUSE Linux Enterprise Module for Desktop Applications 15 SP4 webkit2gtk3 Released
SUSE Linux Enterprise Module for Development Tools 15 SP4 webkit2gtk3 Released
SUSE Linux Enterprise Module for Development Tools 15 SP4 webkit2gtk4 Released
SUSE Linux Enterprise Server 12 SP2-BCL libQtWebKit4 Not affected
SUSE Linux Enterprise Server 12 SP2-BCL libqt5-qtwebkit Not affected
SUSE Linux Enterprise Server 12 SP2-BCL webkit2gtk3 Affected
SUSE Linux Enterprise Server 15 SP2 webkit2gtk3 Affected
SUSE Linux Enterprise Server 15 SP2-LTSS webkit2gtk3 Released
SUSE Linux Enterprise Server 15 SP3 webkit2gtk3 Affected
SUSE Linux Enterprise Server 15 SP3-LTSS webkit2gtk3 Released
SUSE Linux Enterprise Server 15 SP4 webkit2gtk3 Released
SUSE Linux Enterprise Server 15 SP4 webkit2gtk3-soup2 Released
SUSE Linux Enterprise Server 15 SP4 webkit2gtk4 Released
SUSE Linux Enterprise Server 15 SP4-LTSS webkit2gtk3 Released
SUSE Linux Enterprise Server 15 SP4-LTSS webkit2gtk3-soup2 Released
SUSE Linux Enterprise Server 15 SP4-LTSS webkit2gtk4 Released
SUSE Linux Enterprise Server for SAP Applications 15 webkit2gtk3 Affected
SUSE Linux Enterprise Server for SAP Applications 15 SP1 webkit2gtk3 Released
SUSE Linux Enterprise Server for SAP Applications 15 SP2 webkit2gtk3 Released
SUSE Linux Enterprise Server for SAP Applications 15 SP3 webkit2gtk3 Released
Products past their end of life and not receiving proactive updates anymore.
HPE Helion OpenStack 8 libQtWebKit4 Not affected
HPE Helion OpenStack 8 libqt5-qtwebkit Not affected
HPE Helion OpenStack 8 webkit2gtk3 Affected
SUSE CaaS Platform 4.0 webkit2gtk3 Released
SUSE Enterprise Storage 6 webkit2gtk3 Affected
SUSE Enterprise Storage 7 webkit2gtk3 Released
SUSE Linux Enterprise Desktop 12 libQtWebKit4 Not affected
SUSE Linux Enterprise Desktop 12 SP1 libQtWebKit4 Not affected
SUSE Linux Enterprise Desktop 12 SP2 libQtWebKit4 Not affected
SUSE Linux Enterprise Desktop 12 SP2 libqt5-qtwebkit Not affected
SUSE Linux Enterprise Desktop 12 SP2 webkit2gtk3 Affected
SUSE Linux Enterprise Desktop 12 SP3 libQtWebKit4 Not affected
SUSE Linux Enterprise Desktop 12 SP3 libqt5-qtwebkit Not affected
SUSE Linux Enterprise Desktop 12 SP3 webkit2gtk3 Affected
SUSE Linux Enterprise Desktop 12 SP4 libQtWebKit4 Not affected
SUSE Linux Enterprise Desktop 12 SP4 libqt5-qtwebkit Not affected
SUSE Linux Enterprise Desktop 12 SP4 webkit2gtk3 Affected
SUSE Linux Enterprise Desktop 15 webkit2gtk3 Affected
SUSE Linux Enterprise Desktop 15 SP1 webkit2gtk3 Affected
SUSE Linux Enterprise Desktop 15 SP2 webkit2gtk3 Affected
SUSE Linux Enterprise Desktop 15 SP3 webkit2gtk3 Affected
SUSE Linux Enterprise Module for Basesystem 15 webkit2gtk3 Affected
SUSE Linux Enterprise Module for Basesystem 15 SP1 webkit2gtk3 Affected
SUSE Linux Enterprise Module for Desktop Applications 15 webkit2gtk3 Affected
SUSE Linux Enterprise Module for Desktop Applications 15 SP1 webkit2gtk3 Affected
SUSE Linux Enterprise Real Time 15 SP2 webkit2gtk3 Affected
SUSE Linux Enterprise Real Time 15 SP4 webkit2gtk3 Released
SUSE Linux Enterprise Real Time 15 SP4 webkit2gtk3-soup2 Released
SUSE Linux Enterprise Real Time 15 SP4 webkit2gtk4 Released
SUSE Linux Enterprise Server 12 libQtWebKit4 Not affected
SUSE Linux Enterprise Server 12 SP1 libQtWebKit4 Not affected
SUSE Linux Enterprise Server 12 SP1-LTSS libQtWebKit4 Not affected
SUSE Linux Enterprise Server 12 SP2 libQtWebKit4 Not affected
SUSE Linux Enterprise Server 12 SP2 libqt5-qtwebkit Not affected
SUSE Linux Enterprise Server 12 SP2 webkit2gtk3 Affected
SUSE Linux Enterprise Server 12 SP2-ESPOS libQtWebKit4 Not affected
SUSE Linux Enterprise Server 12 SP2-ESPOS libqt5-qtwebkit Not affected
SUSE Linux Enterprise Server 12 SP2-ESPOS webkit2gtk3 Affected
SUSE Linux Enterprise Server 12 SP2-LTSS libQtWebKit4 Not affected
SUSE Linux Enterprise Server 12 SP2-LTSS libqt5-qtwebkit Not affected
SUSE Linux Enterprise Server 12 SP2-LTSS webkit2gtk3 Affected
SUSE Linux Enterprise Server 12 SP3 libQtWebKit4 Not affected
SUSE Linux Enterprise Server 12 SP3 libqt5-qtwebkit Not affected
SUSE Linux Enterprise Server 12 SP3 webkit2gtk3 Affected
SUSE Linux Enterprise Server 12 SP3-BCL libQtWebKit4 Not affected
SUSE Linux Enterprise Server 12 SP3-BCL libqt5-qtwebkit Not affected
SUSE Linux Enterprise Server 12 SP3-BCL webkit2gtk3 Affected
SUSE Linux Enterprise Server 12 SP3-ESPOS libQtWebKit4 Not affected
SUSE Linux Enterprise Server 12 SP3-ESPOS libqt5-qtwebkit Not affected
SUSE Linux Enterprise Server 12 SP3-ESPOS webkit2gtk3 Affected
SUSE Linux Enterprise Server 12 SP3-LTSS libQtWebKit4 Not affected
SUSE Linux Enterprise Server 12 SP3-LTSS libqt5-qtwebkit Not affected
SUSE Linux Enterprise Server 12 SP3-LTSS webkit2gtk3 Affected
SUSE Linux Enterprise Server 12 SP4 libQtWebKit4 Not affected
SUSE Linux Enterprise Server 12 SP4 libqt5-qtwebkit Not affected
SUSE Linux Enterprise Server 12 SP4 webkit2gtk3 Affected
SUSE Linux Enterprise Server 12 SP4-ESPOS libQtWebKit4 Not affected
SUSE Linux Enterprise Server 12 SP4-ESPOS libqt5-qtwebkit Not affected
SUSE Linux Enterprise Server 12 SP4-ESPOS webkit2gtk3 Affected
SUSE Linux Enterprise Server 12 SP4-LTSS libQtWebKit4 Not affected
SUSE Linux Enterprise Server 12 SP4-LTSS libqt5-qtwebkit Not affected
SUSE Linux Enterprise Server 12 SP4-LTSS webkit2gtk3 Affected
SUSE Linux Enterprise Server 15 webkit2gtk3 Affected
SUSE Linux Enterprise Server 15 SP1 webkit2gtk3 Affected
SUSE Linux Enterprise Server 15 SP1-BCL webkit2gtk3 Affected
SUSE Linux Enterprise Server 15 SP1-LTSS webkit2gtk3 Released
SUSE Linux Enterprise Server 15 SP2-BCL webkit2gtk3 Affected
SUSE Linux Enterprise Server 15 SP3-BCL webkit2gtk3 Affected
SUSE Linux Enterprise Server 15-LTSS webkit2gtk3 Affected
SUSE Linux Enterprise Server for Raspberry Pi 12 SP2 libQtWebKit4 Not affected
SUSE Linux Enterprise Server for Raspberry Pi 12 SP2 libqt5-qtwebkit Not affected
SUSE Linux Enterprise Server for Raspberry Pi 12 SP2 webkit2gtk3 Affected
SUSE Linux Enterprise Server for SAP Applications 12 libQtWebKit4 Not affected
SUSE Linux Enterprise Server for SAP Applications 12 SP1 libQtWebKit4 Not affected
SUSE Linux Enterprise Server for SAP Applications 12 SP2 libQtWebKit4 Not affected
SUSE Linux Enterprise Server for SAP Applications 12 SP2 libqt5-qtwebkit Not affected
SUSE Linux Enterprise Server for SAP Applications 12 SP2 webkit2gtk3 Affected
SUSE Linux Enterprise Server for SAP Applications 12 SP3 libQtWebKit4 Not affected
SUSE Linux Enterprise Server for SAP Applications 12 SP3 libqt5-qtwebkit Not affected
SUSE Linux Enterprise Server for SAP Applications 12 SP3 webkit2gtk3 Affected
SUSE Linux Enterprise Server for SAP Applications 12 SP4 libQtWebKit4 Not affected
SUSE Linux Enterprise Server for SAP Applications 12 SP4 libqt5-qtwebkit Not affected
SUSE Linux Enterprise Server for SAP Applications 12 SP4 webkit2gtk3 Affected
SUSE Linux Enterprise Software Development Kit 12 libQtWebKit4 Not affected
SUSE Linux Enterprise Software Development Kit 12 SP1 libQtWebKit4 Not affected
SUSE Linux Enterprise Software Development Kit 12 SP2 libQtWebKit4 Not affected
SUSE Linux Enterprise Software Development Kit 12 SP2 libqt5-qtwebkit Not affected
SUSE Linux Enterprise Software Development Kit 12 SP2 webkit2gtk3 Affected
SUSE Linux Enterprise Software Development Kit 12 SP3 libQtWebKit4 Not affected
SUSE Linux Enterprise Software Development Kit 12 SP3 libqt5-qtwebkit Not affected
SUSE Linux Enterprise Software Development Kit 12 SP3 webkit2gtk3 Affected
SUSE Linux Enterprise Software Development Kit 12 SP4 libQtWebKit4 Not affected
SUSE Linux Enterprise Software Development Kit 12 SP4 libqt5-qtwebkit Not affected
SUSE Linux Enterprise Software Development Kit 12 SP4 webkit2gtk3 Affected
SUSE Linux Enterprise Workstation Extension 12 SP2 webkit2gtk3 Affected
SUSE Linux Enterprise Workstation Extension 12 SP3 webkit2gtk3 Affected
SUSE Linux Enterprise Workstation Extension 12 SP4 webkit2gtk3 Affected
SUSE Manager Proxy 4.0 webkit2gtk3 Affected
SUSE Manager Proxy 4.1 webkit2gtk3 Affected
SUSE Manager Proxy 4.2 webkit2gtk3 Released
SUSE Manager Retail Branch Server 4.0 webkit2gtk3 Affected
SUSE Manager Retail Branch Server 4.1 webkit2gtk3 Affected
SUSE Manager Retail Branch Server 4.2 webkit2gtk3 Released
SUSE Manager Server 4.0 webkit2gtk3 Affected
SUSE Manager Server 4.1 webkit2gtk3 Affected
SUSE Manager Server 4.2 webkit2gtk3 Released
SUSE OpenStack Cloud 7 libQtWebKit4 Not affected
SUSE OpenStack Cloud 7 libqt5-qtwebkit Not affected
SUSE OpenStack Cloud 7 webkit2gtk3 Affected
SUSE OpenStack Cloud 8 libQtWebKit4 Not affected
SUSE OpenStack Cloud 8 libqt5-qtwebkit Not affected
SUSE OpenStack Cloud 8 webkit2gtk3 Affected
SUSE OpenStack Cloud 9 libQtWebKit4 Not affected
SUSE OpenStack Cloud 9 libqt5-qtwebkit Not affected
SUSE OpenStack Cloud 9 webkit2gtk3 Affected
SUSE OpenStack Cloud Crowbar 8 libQtWebKit4 Not affected
SUSE OpenStack Cloud Crowbar 8 libqt5-qtwebkit Not affected
SUSE OpenStack Cloud Crowbar 8 webkit2gtk3 Affected
SUSE OpenStack Cloud Crowbar 9 libQtWebKit4 Not affected
SUSE OpenStack Cloud Crowbar 9 libqt5-qtwebkit Not affected
SUSE OpenStack Cloud Crowbar 9 webkit2gtk3 Affected
openSUSE Leap 15.4 webkit2gtk3 Released


SUSE Timeline for this CVE

CVE page created: Fri Sep 29 20:00:03 2023
CVE page last modified: Thu Feb 22 17:24:19 2024